SYSTEM STATUS

Encompass Blocker Severity 1 - ENC-37528 Expired security certificate error editing emails
Incident Report for iModules Software
Resolved
This issue has been resolved.
Posted 6 months ago. Apr 27, 2019 - 09:23 CDT
Investigating
Expired security certificate error editing emails has been identified as a Severity 1 Blocker Defect and will be reviewed and fixed by our development team as soon as possible. The ticket number for your reference is ENC-37528.
Posted 6 months ago. Apr 27, 2019 - 08:52 CDT
This incident affected: In Application Issues - Severity 1 Defects.